package electrosphere.controls;

public class Control {
    boolean isKey;
    boolean isMouse;
    boolean state;
    int keyValue;

    public boolean isIsKey() {
        return isKey;
    }

    public boolean isIsMouse() {
        return isMouse;
    }

    public boolean isState() {
        return state;
    }

    public int getKeyValue() {
        return keyValue;
    }

    public void setState(boolean state) {
        this.state = state;
    }

    public Control(boolean isKey, boolean isMouse, int keyValue) {
        this.isKey = isKey;
        this.isMouse = isMouse;
        this.keyValue = keyValue;
        this.state = false;
    }
    
    
}
